Skip to main content
GET
Get a single domain

Authorizations

api_key
string
query
required

Your OpenAlex API key. Get a free key at https://openalex.org/settings/api

Path Parameters

id
string
required

Domain ID (1-4)

Query Parameters

select
string

Comma-separated list of fields to return. Reduces response size. Example: select=id,display_name,cited_by_count

api_key
string
required

Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api

Response

Successful response

Top-level category in the topic hierarchy (4 total)

id
string

The OpenAlex ID for this domain.

Example:

"https://openalex.org/domains/1"

display_name
string

The English-language label of the domain.

description
string

A description of this domain.

display_name_alternatives
string[]

Alternate names for this domain.

fields
object[]

The fields within this domain. Each object has id and display_name.

siblings
object[]

Other domains at the same level. Each object has id and display_name.

ids
object

External identifiers:

works_count
integer

The number of works tagged with topics in this domain.

cited_by_count
integer

Total citations to works in this domain.

works_api_url
string

A URL that returns all works tagged with this domain.

created_date
string<date>

When this domain was added to OpenAlex (ISO 8601 date).

updated_date
string<date-time>

When this domain was last updated (ISO 8601 datetime).